/*
  aimchangestatus.cpp  -  AIM Protocol Plugin

  Copyright (c) 2002 by Tom Linsky <twl6@po.cwru.edu>
  Kopete    (c) 2002-2003 by the Kopete developers  <kopete-devel@kde.org>

  *************************************************************************
  *                                                                       *
  * This program is free software; you can redistribute it and/or modify  *
  * it under the terms of the GNU General Public License as published by  *
  * the Free Software Foundation; either version 2 of the License, or     *
  * (at your option) any later version.                                   *
  *                                                                       *
  *************************************************************************
  */

#include "aimchangestatus.h"

#include <klocale.h>
#include <kdebug.h>

#include "oscarsocket.h"

AIMChangeStatus::AIMChangeStatus(OscarSocket *engine, QWidget *parent, const char *name)
	: KopeteAwayDialog(parent, name)
{
	kdDebug(14150) << k_funcinfo << "Called." << endl;

	mEngine = engine; // Pointer to the aim engine
	setCaption(i18n("Select Away Message")); // Set our caption (from KDialog)
}

void AIMChangeStatus::setAway(int awayType)
{
	kdDebug(14150) << k_funcinfo << "awayType=" << awayType
		<< "message: " << getSelectedAwayMessage() << endl;

	mEngine->sendStatus(OSCAR_AWAY, getSelectedAwayMessage());
}

#include "aimchangestatus.moc"

// vim: set noet ts=4 sts=4 sw=4:
