/*
  oscarpreferences.cpp  -  Oscar Protocol Plugin

  Copyright (c) 2002 by Tom Linsky <twl6@po.cwru.edu>

  Kopete    (c) 2002 by the Kopete developers  <kopete-devel@kde.org>

  *************************************************************************
  *                                                                       *
  * This program is free software; you can redistribute it and/or modify  *
  * it under the terms of the GNU General Public License as published by  *
  * the Free Software Foundation; either version 2 of the License, or     *
  * (at your option) any later version.                                   *
  *                                                                       *
  *************************************************************************
  */

#include "oscarpreferences.h"
//#include "oscarsocket.h"

#include "oscarprefswidget.h"

#include <qlayout.h>
#include <qspinbox.h>
#include <qcheckbox.h>

#include <kglobal.h>
#include <klocale.h>
#include <kdebug.h>

OscarPreferences::OscarPreferences(const QString &pixmap,QObject *parent)
	: ConfigModule(i18n("Oscar Plugin"),i18n("AOL Oscar Protocol"),pixmap,parent)
{
	mConfig = KGlobal::config();

	(new QVBoxLayout(this))->setAutoAdd(true);
	mPreferencesWidget = new OscarPrefsWidget(this, "mPreferencesWidget");

	load();
}

OscarPreferences::~OscarPreferences()
{
}

void OscarPreferences::load()
{
	// TODO: Write code for importing old configs
	// Reload the values in the GUI
	mPreferencesWidget->mReportIdle->setChecked(reportIdle());
	mPreferencesWidget->mIdleTimeout->setValue(idleTimeout());
	mPreferencesWidget->chkLogAll->setChecked(logAll());
}

void OscarPreferences::save()
{
	mConfig->setGroup("Oscar");
	mConfig->writeEntry("LogAll", mPreferencesWidget->chkLogAll->isChecked());
	mConfig->writeEntry("ReportIdle", mPreferencesWidget->mReportIdle->isChecked());
	mConfig->writeEntry("IdleTimeout", mPreferencesWidget->mIdleTimeout->text());
	mConfig->sync();

	emit saved();
}

bool OscarPreferences::logAll() const
{
	mConfig->setGroup( "Oscar" );
	return mConfig->readBoolEntry( "LogAll", true );
}

bool OscarPreferences::reportIdle() const
{
	mConfig->setGroup( "Oscar" );
	return mConfig->readBoolEntry( "ReportIdle", true );
}

int OscarPreferences::idleTimeout() const
{
	mConfig->setGroup( "Oscar" );
	return mConfig->readNumEntry( "IdleTimeout", 10 );
}

#include "oscarpreferences.moc"
// vim: set ts=4 sts=4 sw=4 noet:
